export interface MouseCoordinate2D {
    x: number;
    y: number;
}
export interface MousePosition {
    client: MouseCoordinate2D;
    page: MouseCoordinate2D;
    screen: MouseCoordinate2D;
}
export interface MouseButtons {
    left: boolean;
    right: boolean;
    middle: boolean;
}
export interface MouseModifierKeys {
    alt: boolean;
    ctrl: boolean;
    meta: boolean;
    shift: boolean;
}
export interface MouseWheel {
    deltaX: number | undefined;
    left: boolean | undefined;
    right: boolean | undefined;
    deltaY: number | undefined;
    up: boolean | undefined;
    down: boolean | undefined;
    deltaZ: number | undefined;
    out: boolean | undefined;
    in: boolean | undefined;
    deltaMode: number | undefined;
}
export interface MouseState {
    position: MousePosition;
    movement: MouseCoordinate2D;
    buttons: MouseButtons;
    wheel: MouseWheel;
    keyboard: MouseModifierKeys;
}
export interface MouseEvents {
    mousedown: boolean;
    mouseup: boolean;
    mousemove: boolean;
    wheel: boolean;
}
declare const eventListenerMouseEvent: MouseEvents;
export declare type EventListenerMouseEvent = keyof typeof eventListenerMouseEvent;
export declare type MouseEventHandler = (event: MouseEvent) => void;
declare const _default: (eventListenerOptions?: Partial<MouseEvents>) => MouseState | null;
export default _default;
